﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating and Managing Custom SAV Roles</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating and Managing Custom SAV Roles</h1>
        <p>The SAV role is a Saviynt role that assigns specific access to users. For example, you give a manager administrative access to configure the email settings of their direct reports, without giving permissions over your entire Identity Governance and Administration (IGA) features.</p>
        <p>This section provides information about how to create a custom SAV role and assign it to a user.</p>
        <ul>
            <li>
                <p>
                    <MadCap:xref href="#Naming">Naming Restrictions and Conventions for SAV Roles</MadCap:xref>
                </p>
            </li>
            <li>
                <p>
                    <MadCap:xref href="#Creating">Creating a Custom SAV Role</MadCap:xref>
                </p>
            </li>
            <li>
                <p>
                    <MadCap:xref href="#Updating">Updating SAV Roles</MadCap:xref>
                </p>
            </li>
            <li>
                <p>
                    <MadCap:xref href="#Deleting">Deleting SAV Roles</MadCap:xref>
                </p>
            </li>
        </ul>
        <h2><a name="Naming"></a>Naming Restrictions and Conventions for SAV Roles</h2>
        <p>You must conform to the following naming and restrictions:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 340px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 340px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Naming and Restriction</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Prefix</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The SAV role name must start with the <strong>ROLE_</strong> prefix. </p>
                            <p class="table-text">For example <strong>ROLE_USER</strong>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Use of Uppercase and Lowercase</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">The SAV Role name must be in uppercase. </p>
                            <p class="table-text">For example, <strong>ROLE_SAV_MANAGER</strong>.</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">If you specify a lowercase letter then an error is thrown.</p>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2><a name="Creating"></a>Creating a Custom SAV Role</h2>
        <p>To create a custom SAV role, perform the following steps:</p>
        <ol>
            <li>
                <p>Log in to IGA.</p>
            </li>
            <li>
                <p>On the top right of the home page, click&#160;the <strong>Applications </strong>icon, and select <strong>Admin</strong>.</p>
            </li>
            <li>
                <p>In the left pane, under <strong>Admin</strong>, select <strong>SAV Roles</strong>.<br />The <strong>SAV Role List</strong> page is displayed.</p>
            </li>
            <li>
                <p>Click <strong>Create Sav Role</strong>. <br />The <b>Create SAV Role</b> dialog box is displayed.</p>
            </li>
            <li>
                <p>Select one of the following options:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p><b>Create New</b>: To create a new SAV role.</p>
                        <p>The Create SAV Role page is displayed.</p>
                        <ol style="list-style-type: lower-roman;">
                            <li>
                                <p>Specify the following parameters:</p>
                                <ul>
                                    <li>
                                        <p><strong>Role Name</strong>: Specify the name to identify the SAV role.</p>
                                    </li>
                                    <li>
                                        <p><strong>Description</strong>: Specify the description for the SAV role.</p>
                                    </li>
                                    <li>
                                        <p><strong>Whom to Request</strong>: Select one of the options for whom the SAV role assigned user can raise access requests. For more information, see <MadCap:xref href="Creating-SAV-Roles.htm#CreatingSAVRoles-SAVRoleDetailTab">SAV Role Detail Tab</MadCap:xref>.</p>
                                    </li>
                                    <li>
                                        <p><strong>For Whom Can the Role User Approve the Request</strong>: Select one of the options for whom the SAV role assigned user can approve requests. For more information, see <MadCap:xref href="Creating-SAV-Roles.htm#CreatingSAVRoles-SAVRoleDetailTab">SAV Role Detail Tab</MadCap:xref>.</p>
                                    </li>
                                    <li>
                                        <p><strong>Request History</strong>: Select one of the options for whom the SAV role assigned user can view requests. For more information, see <MadCap:xref href="Creating-SAV-Roles.htm#CreatingSAVRoles-SAVRoleDetailTab">SAV Role Detail Tab</MadCap:xref>.</p>
                                    </li>
                                </ul>
                            </li>
                            <li>
                                <p>Click <b>Create</b> to create a new SAV role. The <b>SAV Role Detail</b> tab for the newly created SAV role is displayed.</p>
                            </li>
                            <li>
                                <p>Update the different tabs based on the permissions you want to include in the role. For more information about, see Understanding the SAV Tabs.</p>
                            </li>
                        </ol>
                    </li>
                    <li>
                        <p><b>Copy Existing</b>: Use this option to copy the role details of an existing SAV role to a new SAV role. For example, if you want to use the out-of-the-box SAV roles (ROLE_ADMIN and ROLE_UIADMIN), then use this option.</p>
                        <ol style="list-style-type: lower-roman;">
                            <li>
                                <p><b>Copy Role From</b>: Select the SAV role from which you want to copy the role details to the new role and then click <b>Submit</b>.</p>
                            </li>
                            <li>
                                <p>From the <b>SAV Role Detail</b> page, update <b>Role Name, Whom to Request, For Whom Can the Role User Approve the Request,</b> and <b>Request History</b>.</p>
                            </li>
                            <li>
                                <p>Click <b>Update</b>.</p>
                            </li>
                            <li>
                                <p>Update the <b>SAV Role Detail, Users, Feature Access, Web Service Access, Create Request Home Option, Dashboards, Analytics,</b> and <b>Workflow</b> tabs based on the permissions you want to include in the role. For more information, see <MadCap:xref href="Understanding-the-SAV-Role-Parameters.htm#top">Understanding the SAV Role Parameters</MadCap:xref>.</p>
                                <p>The changes will take effect after you log out of IGA.  To refresh the changes without logging out, click <b>Refresh Access Changes</b>.</p>
                            </li>
                        </ol>
                    </li>
                </ol>
                <h2><a name="Updating"></a>Updating SAV Roles</h2>
                <p>To update an existing SAV role, perform the following steps:</p>
                <ol>
                    <li>
                        <p>Log in to IGA.</p>
                    </li>
                    <li>
                        <p>Go to&#160;<strong>ADMIN &gt; SAV Roles</strong>.<br />The <strong>SAV Role List</strong> page is displayed.</p>
                    </li>
                    <li>
                        <p>Select the role that you want to update.</p>
                        <ul>
                            <li>
                                <p>To update role details, click the <strong>SAV Role Detail</strong> tab </p>
                            </li>
                            <li>
                                <p>To add or remove users, click the <strong>Users</strong> tab.</p>
                            </li>
                            <li>
                                <p>To add or remove future access, click the <strong>Feature Access</strong>  &#160;&#160;tab.</p>
                            </li>
                            <li>
                                <p>To add or remove Web Service Access, click the <strong>Web Service Access</strong>&#160;tab.</p>
                            </li>
                            <li>
                                <p>To enable or disable the tiles on the&#160;<strong>Request Home</strong>&#160;menu available on the ARS tab, click <strong>Create Request Home Option</strong> tab.</p>
                            </li>
                            <li>
                                <p>Dashboards</p>
                            </li>
                            <li>
                                <p>Analytics</p>
                            </li>
                            <li>
                                <p>Workflow</p>
                            </li>
                        </ul>
                    </li>
                </ol>
                <p>For more information about, see <MadCap:xref href="Understanding-the-SAV-Role-Parameters.htm#top">Understanding the SAV Role Parameters</MadCap:xref>.</p>
            </li>
        </ol>
        <h2><a name="Deleting"></a>Deleting SAV Roles</h2>
        <p>To delete the SAV role, perform the following steps:</p>
        <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="note">From v2021.0,&#160;you cannot delete the out-of-box SAV roles.</p>
        </div>
        <ol>
            <li>
                <p>Log in to IGA.</p>
            </li>
            <li>
                <p>Go to&#160;<strong>ADMIN &gt; SAV Roles</strong>.<br></br>The <strong>SAV Role List</strong> page is displayed.</p>
            </li>
            <li>
                <p>Click the SAV role you want to delete. <br></br>The <strong>SAV Role Detail</strong> page is displayed.</p>
            </li>
            <li>
                <p>Click <strong>Delete</strong>.<br></br><strong>Are you sure?</strong> confirmation message is displayed.</p>
            </li>
            <li>
                <p>Click&#160;<strong>Yes</strong>&#160;to delete the SAV role. The SAV role will be removed.</p>
            </li>
        </ol>
    </body>
</html>